Subject: bug#53946: Errors in man pages of GNU_coreutils

From: Helge Kreutzmann <[email-masked]>
Date: Sat, 12 Feb 2022 20:54:39 +0100

Hello Pádraig,
thanks for your swift handling.

On Sat, Feb 12, 2022 at 06:50:48PM +0000, Pádraig Brady wrote:
> On 12/02/2022 05:57, Helge Kreutzmann wrote:
> > Man page: arch.1
> > Issue:    missing markup (B<>)
> > 
> > "uname(1), uname(2)"
> 
> I'm not sure about marking up references like this.
> There should be enough context from the reference
> for the man page reader to display appropriately.
> For e.g. I use vim to display man pages, and references
> like this are highlighted, and can be followed.
> Also looking at other projects, I don't see explicitly
> highlighted referenced man pages.

Well, the roundabout 100 projects we have as upstreams in
manpages-l10n do this consistently, e.g. "man man" you can see that
those links are always:

B<name>(1) 

Of course, if coreutils differs here, I will mark those "wontfix" and
won't bother you with them any more, of course.

> > Man page: ls.1
> > Issue 1:  LS_COLORS → B<LS_COLORS>
> 
> There are other env vars mentioned.
> I'm not sure why this one, or any should be highlighted.

Again, we see this in many man pages. Translators did not search for
all occurences, so there is no completness guarantee. Again, if you
decide to use a different convention, those will be FONTFIXE in the
future.

Greetings

      Helge

-- 
      Dr. Helge Kreutzmann                     [email-masked]
           Dipl.-Phys.                   http://www.helgefjell.de/debian.php
        64bit GNU powered                     gpg signed mail preferred
           Help keep free software "libre": http://www.ffii.de/